Compute Cloud API, REST: Snapshot.Get
Returns the specified Snapshot resource.
To get the list of available Snapshot resources, make a List request.
HTTP request
GET https://compute.api.cloud.yandex.net/compute/v1/snapshots/{snapshotId}
Path parameters
|
Field |
Description |
|
snapshotId |
string Required field. ID of the Snapshot resource to return. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"storageSize": "string",
"diskSize": "string",
"productIds": [
"string"
],
"status": "string",
"sourceDiskId": "string",
"hardwareGeneration": {
// Includes only one of the fields `legacyFeatures`, `generation2Features`
"legacyFeatures": {
"pciTopology": "string"
},
"generation2Features": {
"secureBootTemplateId": "string",
"vtpmEnabled": "boolean"
}
// end of the list of possible fields
},
"kmsKey": {
"keyId": "string",
"versionId": "string"
}
}
A Snapshot resource. For more information, see Snapshots.
|
Field |
Description |
|
id |
string ID of the snapshot. |
|
folderId |
string ID of the folder that the snapshot belongs to. |
|
createdAt |
string (date-time) String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the snapshot. 1-63 characters long. |
|
description |
string Description of the snapshot. 0-256 characters long. |
|
labels |
object (map<string, string>) Resource labels as |
|
storageSize |
string (int64) Size of the snapshot, specified in bytes. |
|
diskSize |
string (int64) Size of the disk when the snapshot was created, specified in bytes. |
|
productIds[] |
string License IDs that indicate which licenses are attached to this resource. |
|
status |
enum (Status) Current status of the snapshot.
|
|
sourceDiskId |
string ID of the source disk used to create this snapshot. |
|
hardwareGeneration |
If specified, forces the same HardwareGeneration features to be applied to the instance |
|
kmsKey |
Key encryption key info. |
HardwareGeneration
A set of features, specific to a particular Compute hardware generation.
They are not necessary supported by every host OS or distro, thus they are fixed to an image
and are applied to all instances created with it as their boot disk image.
These features significantly determine how the instance is created, thus cannot be changed after the fact.
|
Field |
Description |
|
legacyFeatures |
A first hardware generation, by default compatible with all legacy images. Includes only one of the fields |
|
generation2Features |
A second hardware generation, which by default assumes PCI_TOPOLOGY_V2 and UEFI boot. Includes only one of the fields |
LegacyHardwareFeatures
A first hardware generation, by default compatible with all legacy images.
Allows switching to PCI_TOPOLOGY_V2 and back.
|
Field |
Description |
|
pciTopology |
enum (PCITopology) PCI topology of the instance.
|
Generation2HardwareFeatures
A second hardware generation, which by default assumes PCI_TOPOLOGY_V2
and UEFI boot (with UEFI related features).
|
Field |
Description |
|
secureBootTemplateId |
string ID of the secure boot template containing the UEFI key databases used to verify boot components. |
|
vtpmEnabled |
boolean Whether the virtual Trusted Platform Module (vTPM) is enabled for the instance. |
KMSKey
|
Field |
Description |
|
keyId |
string ID of KMS symmetric key |
|
versionId |
string Version of KMS symmetric key |